Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.storage.configuration
Class ConfigurationStoreFactory

    java.lang.Object
      com.bea.wlcp.wlng.api.storage.configuration.ConfigurationStoreFactory

public abstract class ConfigurationStoreFactory
extends Object

Configuration store factory. Used to retrieve and destroy module specific configuration store references.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Constructor Summary
`ConfigurationStoreFactory()`

Method Summary
`static ConfigurationStoreFactory` | `getInstance()` Get configuration store factory instance.
`abstract ConfigurationStore` | `getStore(String moduleName, String name, int storeType)` Get reference to a configuration store instance.
`protected static void` | `setDelegate(ConfigurationStoreFactory instance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationStoreFactory

    public ConfigurationStoreFactory()

Method Detail

### getInstance

    public static ConfigurationStoreFactory getInstance()

  Get configuration store factory instance.

  Returns:
    configuration store factory instance.

### getStore

    public abstract ConfigurationStore getStore(String moduleName,
                                                String name,
                                                int storeType)
                                         throws ConfigurationException

  Get reference to a configuration store instance.

  Parameters:
    `moduleName` - requesting module name.
    `name` - store name.
    `storeType` - store type.
  Returns:
    configuration store instance.
  Throws:
    `ConfigurationException` - if the configuration store is not active or an instance with different configuration already existed.

### setDelegate

    protected static void setDelegate(ConfigurationStoreFactory instance)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD